// Machine generated IDispatch wrapper class(es) created with ClassWizard

#include "stdafx.h"
#include "usbpassr.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif



/////////////////////////////////////////////////////////////////////////////
// _uPassRead properties

/////////////////////////////////////////////////////////////////////////////
// _uPassRead operations

CString _uPassRead::GetTBack_DiskName()
{
	CString result;
	InvokeHelper(0x6803000f, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassRead::GetTBack_DrvKeyNumber()
{
	CString result;
	InvokeHelper(0x6803000e, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

DATE _uPassRead::GetTBack_RegDate()
{
	DATE result;
	InvokeHelper(0x6803000d, DISPATCH_PROPERTYGET, VT_DATE, (void*)&result, NULL);
	return result;
}

CString _uPassRead::GetTBack_SoftCode()
{
	CString result;
	InvokeHelper(0x6803000c, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassRead::GetTBack_UnitName()
{
	CString result;
	InvokeHelper(0x6803000b, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassRead::GetTBack_CustomA()
{
	CString result;
	InvokeHelper(0x6803000a, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

CString _uPassRead::GetTBack_CustomB()
{
	CString result;
	InvokeHelper(0x68030009, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

BOOL _uPassRead::GetTBack_IsTime()
{
	BOOL result;
	InvokeHelper(0x68030008, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
	return result;
}

double _uPassRead::GetTBack_UseTime()
{
	double result;
	InvokeHelper(0x68030007, DISPATCH_PROPERTYGET, VT_R8, (void*)&result, NULL);
	return result;
}

BOOL _uPassRead::GetTBack_IsFate()
{
	BOOL result;
	InvokeHelper(0x68030006, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
	return result;
}

double _uPassRead::GetTBack_UseFate()
{
	double result;
	InvokeHelper(0x68030005, DISPATCH_PROPERTYGET, VT_R8, (void*)&result, NULL);
	return result;
}

BOOL _uPassRead::GetTBack_IsAll()
{
	BOOL result;
	InvokeHelper(0x68030004, DISPATCH_PROPERTYGET, VT_BOOL, (void*)&result, NULL);
	return result;
}

DATE _uPassRead::GetTBack_LastDate()
{
	DATE result;
	InvokeHelper(0x68030003, DISPATCH_PROPERTYGET, VT_DATE, (void*)&result, NULL);
	return result;
}

CString _uPassRead::GetTBack_AnnexInfo()
{
	CString result;
	InvokeHelper(0x68030002, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

short _uPassRead::GetTBack_MsgNo()
{
	short result;
	InvokeHelper(0x68030001, DISPATCH_PROPERTYGET, VT_I2, (void*)&result, NULL);
	return result;
}

CString _uPassRead::GetTBack_MsgStr()
{
	CString result;
	InvokeHelper(0x68030000, DISPATCH_PROPERTYGET, VT_BSTR, (void*)&result, NULL);
	return result;
}

BOOL _uPassRead::PassRead(LPCTSTR strPwd, short* Pw_type)
{
	BOOL result;
	static BYTE parms[] =
		VTS_BSTR VTS_PI2;
	InvokeHelper(0x60030010, DISPATCH_METHOD, VT_BOOL, (void*)&result, parms,
		strPwd, Pw_type);
	return result;
}
